API referenceLists
Add contacts to a list
POST
/lists/{id}/contactsBy id or email (created when missing). On a double opt-in list (or with status: "pending") members are pending and get a confirmation email from the project’s default marketing sender.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 64Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/lists/string/contacts" \ -H "Content-Type: application/json" \ -d '{ "contacts": [ { "id": "string" } ] }'{ "object": "list", "data": [ { "contact_id": "string", "email": "string", "status": "subscribed", "confirmation_sent": true } ]}